#ifndef CALCSCORE_HPP
#define CALCSCORE_HPP

#include "Common.hpp"
#include "Problem.hpp"
#include "Solution.hpp"

bool calcScore(const Problem& problem,
               const Solution& solution,
               Image* pResult = nullptr,
               uint64_t* pScore = nullptr,
               uint64_t* pSimilarity = nullptr,
               uint64_t* pCost = nullptr,
               Image* pErrorImage = nullptr,
               std::string* pMsg = nullptr);

#endif
