#ifndef COLOR_HPP
#define COLOR_HPP

#include "Common.hpp"

class Color
{
public:
    Color() : r(255), g(255), b(255), a(255) {}
    Color(uint8_t r_, uint8_t g_, uint8_t b_, uint8_t a_) : r(r_), g(g_), b(b_), a(a_) {}

    bool operator==(const Color& other) const
    { return r == other.r && g == other.g && b == other.b && a == other.a; }
    bool operator!=(const Color& other) const
    { return r != other.r || g != other.g || b != other.b || a != other.a; }

    uint8_t r;
    uint8_t g;
    uint8_t b;
    uint8_t a;
};

#endif
