#ifndef PROBLEM_HPP
#define PROBLEM_HPP

#include "Common.hpp"
#include "Image.hpp"
#include "Canvas.hpp"
#include "FindColorCache.hpp"

class Problem
{
public:
    uint64_t width = 0;
    uint64_t height = 0;
    Image targetImage;
    Image initialImage;
    Canvas initialCanvas;
    bool hasSourceImage = false;
    mutable FindColorCache findColorCache;
};

bool loadProblem(uint64_t problemId,
                 Problem* pProblem,
                 std::string* pMsg = nullptr);

#endif
