#ifndef PROTOCOL_HPP
#define PROTOCOL_HPP

#include "Common.hpp"

namespace Protocol
{
    void init();
    void cleanup();

    bool getSubmissions(std::string* pSubmissionsData,
                        std::string* pMsg = nullptr);
    bool getResults(std::string* pResultsData,
                    std::string* pMsg = nullptr);
    bool submit(uint64_t id,
                const std::string& solutionData,
                std::string* pMsg = nullptr);
}

#endif
