#ifndef RECTS_HPP
#define RECTS_HPP

#include "Common.hpp"
#include "Problem.hpp"
#include "Canvas.hpp"
#include "Solution.hpp"

void makeRect(const Problem& problem,
              Rect rect,
              bool last,
              Canvas& canvas,
              Solution& solution);

void makeRects(const Problem& problem,
               const std::vector<Rect>& rects,
               Canvas& canvas,
               Solution& solution);

#endif
