#ifndef ATOMICFILEUTILS_HPP
#define ATOMICFILEUTILS_HPP

#include "Common.hpp"

void atomicReadFile(const std::string& fileName, std::vector<uint8_t>* pData);
void atomicReadFile(const std::string& fileName, std::vector<char>* pData);
void atomicReadFile(const std::string& fileName, std::string* pData);

bool atomicReplaceFile(const std::string& fileName, std::vector<uint8_t>* pOldData, const std::vector<uint8_t>& newData);
bool atomicReplaceFile(const std::string& fileName, std::vector<char>* pOldData, const std::vector<char>& newData);
bool atomicReplaceFile(const std::string& fileName, std::string* pOldData, const std::string& newData);

#endif
