#ifndef COORD_HPP
#define COORD_HPP

#include "Common.hpp"

class Coord
{
public:
    Coord() : x(0), y(0) {}
    Coord(uint64_t x_, uint64_t y_) : x(x_), y(y_) {}

    bool operator==(const Coord& other) const
    { return x == other.x && y == other.y; }
    bool operator!=(const Coord& other) const
    { return x != other.x || y != other.y; }

    uint64_t x;
    uint64_t y;
};

#endif
