#ifndef FINDCOLORCACHE_HPP
#define FINDCOLORCACHE_HPP

#include "Common.hpp"
#include "Coord.hpp"
#include "Color.hpp"

class FindColorCache
{
    class Entry
    {
    public:
        std::vector<Coord> coords;
        Color color;
        uint64_t accessTime = 0;
    };

public:
    bool lookup(const std::vector<Coord>& coords,
                Color* pColor);
    void add(const std::vector<Coord>& coords,
             Color color);

private:
    std::vector<Entry> entries;
    uint64_t nextAccessTime = 0;
};

#endif
